
/*
 Project: Temperature and humidity measurements using DHT11
 MCU: PIC16F886
 Clock: 20.0MHz external crystal
 Board: PIC circuit GLCD board
 Date: Jan 10, 2012
 Written by: Rajendra Bhatt (www.embedded-lab.com)
*/


// Glcd module connections
char GLCD_DataPort at PORTC;

sbit GLCD_CS1 at RB5_bit;
sbit GLCD_CS2 at RB4_bit;
sbit GLCD_RS  at RB0_bit;
sbit GLCD_RW  at RB1_bit;
sbit GLCD_RST  at RB6_bit;
sbit GLCD_EN at RB2_bit;

sbit GLCD_CS1_Direction at TRISB5_bit;
sbit GLCD_CS2_Direction at TRISB4_bit;
sbit GLCD_RS_Direction  at TRISB0_bit;
sbit GLCD_RW_Direction  at TRISB1_bit;
sbit GLCD_RST_Direction  at TRISB6_bit;
sbit GLCD_EN_Direction at TRISB2_bit;
// End Glcd module connections

sbit BackLight at RB3_bit;


void main() {
  unsigned short check;
  ANSEL  = 0;                                      // Configure AN pins as digital
  ANSELH = 0;
  C1ON_bit = 0;                    // Disable comparators
  C2ON_bit = 0;
  TRISB = 0;
  TRISC = 0;                       // configure pins as input

  Glcd_Init();             // Initialize GLCD
  BackLight = 1;

  do {
     Glcd_Fill(0x00);         // Clear GLCD
     Glcd_Set_Font(Font_Glcd_Character8x7, 8, 7, 32);
     Glcd_Write_Text("HELLO WORLD!", 12, 3, 1);
     Glcd_Set_Font(Font_Glcd_5x7, 5, 7, 32);
     Glcd_Write_Text("www.embedded-lab.com", 4, 6, 1);
     Delay_ms(2000);
     Glcd_Fill(0xFF);         // Fill all 1s
     Glcd_Set_Font(Font_Glcd_Character8x7, 8, 7, 32);
     Glcd_Write_Text("HELLO WORLD!", 12, 3, 0);  // Invert color
     Glcd_Set_Font(Font_Glcd_5x7, 5, 7, 32);
     Glcd_Write_Text("www.embedded-lab.com", 4, 6, 0);
     Delay_ms(2000);

  }while(1);
}